Bug 185277 - Security: Portmap interface control and sysconfig file
Security: Portmap interface control and sysconfig file
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: portmap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
https://launchpad.net/distros/ubuntu/...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-13 01:51 EST by Kevin Verma
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 09:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2006-03-13 01:51:31 EST
Description of problem:
Suggesting an enhancement to existing portmap

Version-Release number of selected component (if applicable):
all

How reproducible:
Portmap either listens to all interfaces or only on loopback,

Expected results:
This should also let have a control feature with option -i to optionally bind
portmap to particular network interface. Also an /etc/sysconfig/portmap is
wished for. 

Additional info:
https://launchpad.net/distros/ubuntu/+source/portmap/+bug/7265
Comment 1 Steve Dickson 2007-07-11 09:24:23 EDT
ther is a -l that "causes portmap to only bind to the loopback 
interface (i.e. INADDR_LOOPBACK)." as well as a 
[ -f /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog in 
the /etc/init.d/portmap start up script. 

Note You need to log in before you can comment on or make changes to this bug.